function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { memo } from 'react';
var containerStyles = {
  height: 6,
  width: '32%',
  border: '0',
  position: 'relative',
  zIndex: 102,
  top: "35.5px",
  left: '50%',
  marginLeft: '-15.8%' // background: "rgba(255,255,255,0.2)",

};
var labelStyles = {
  padding: '5px 10px',
  color: 'white',
  fontFamily: 'Montserrat',
  fontSize: '15px',
  verticalAlign: 'text-top',
  fontWeight: 600,
  textAlign: 'center'
};
var fillerStyles = {
  height: '100%',
  backgroundColor: '#FFFFFF',
  borderRadius: 'inherit',
  textAlign: 'right',
  transition: 'width 1s ease-in-out',
  top: '0'
};

var ProgressBar = function ProgressBar(_ref) {
  var progress = _ref.progress;
  return /*#__PURE__*/React.createElement("div", {
    className: "progress-bar",
    style: containerStyles
  }, /*#__PURE__*/React.createElement("div", {
    style: labelStyles
  }, progress.current, " of ", progress.total), /*#__PURE__*/React.createElement("div", {
    className: "bar-container"
  }, /*#__PURE__*/React.createElement("div", {
    style: _extends({}, fillerStyles, {
      width: progress.completed + "%"
    })
  })));
};

export default memo(ProgressBar);